# github.com/Cvolton/GMDprivateServer, packaged in docker

## Usage:

After you clone this repository, you can run the server using `docker compose`, 
which includes the server, mariadb database and adminer for managment:
```
docker compose up
```
Make sure to change the passwords included in the file:
- `DB_PASSWORD` for server
- `MARIADB_PASSWORD` for db
- `MARIADB_ROOT_PASSWORD` for db

You'll also need to import the database from [the source code repository](https://raw.githubusercontent.com/Cvolton/GMDprivateServer/master/database.sql).

For more details, check [the project wiki](https://github.com/Cvolton/GMDprivateServer/wiki)

<!---->
<!-- running (remove the `-it` params to run in background): -->
<!-- ``` -->
<!-- # Note that you might want to add a volume for /gdps/data, so the levels are preserved -->
<!-- docker run -p 8080:80 -it <the tag you chose earlier> -->
<!-- ``` -->
